{
    'name': 'Hierarchical Address Module',
    'version': '1.0',
    'summary': 'Manage hierarchical addresses with a structured format.',
    'description': """
        This module allows you to manage hierarchical address structures. 
        Features include:
        - States, Localities, Districts, and Blocks linked hierarchically.
        - Tree and Form views for internal users.
        - A dynamic website form for visitors to enter their details.
    """,
    'author': 'Abdelmageed Khalil',
    'website': 'https://softmagic.com',
    'category': 'Custom',
    'depends': ['base', 'website'],
    'data': [
        'security/ir.model.access.csv',  # Access Control List (to be created)
        'data/address_data.xml',        # Sample data
        'views/address_views.xml',      # Internal tree and form views
        'views/website_address_form.xml'  # Website form
    ],
    'assets': {
        'web.assets_frontend': [
            'address/static/src/js/dynamic_address.js',
        ],
    },
    
    'application': True,
    'installable': True,
    'license': 'LGPL-3',
}
