from odoo import http
from odoo.http import request
from odoo.exceptions import ValidationError  # Import added
import base64
import requests
from werkzeug.datastructures import FileStorage
import logging
from email.mime.multipart import MIMEMultipart
from email.mime.text import MIMEText
_logger = logging.getLogger(__name__)
import json

class AddressWebsiteForm(http.Controller):
    @http.route(['/address/form'], type='http', auth="public", website=True, csrf=True)
    def address_form(self, **kwargs):
        states = request.env['address.state'].sudo().search([])
        return request.render('address.address_form_page', {'states': states})

    @http.route(['/address/localities'], type='json', auth="public", website=True)
    def fetch_localities(self, state_id):
        localities = request.env['address.locality'].sudo().search([('state_id', '=', state_id)])
        return [{'id': locality.id, 'name': locality.name} for locality in localities]

    @http.route(['/address/districts'], type='json', auth="public", website=True)
    def fetch_districts(self, locality_id):
        districts = request.env['address.district'].sudo().search([('locality_id', '=', locality_id)])
        return [{'id': district.id, 'name': district.name} for district in districts]

    @http.route(['/address/blocks'], type='json', auth="public", website=True)
    def fetch_blocks(self, district_id):
        blocks = request.env['address.block'].sudo().search([('district_id', '=', district_id)])
        return [{'id': block.id, 'name': block.name} for block in blocks]

    @http.route(['/address/form/submit'], type='http', auth="public", website=True, csrf=True)
    def address_form_submit(self, **kwargs):
        # Extract data from the form
        name = kwargs.get('name')
        state_id = kwargs.get('state_id')
        locality_id = kwargs.get('locality_id')
        district_id = kwargs.get('district_id')
        block_id = kwargs.get('block_id')

        # Create the address structure record
        request.env['address.structure'].sudo().create({
            'name': name,
            'state_id': int(state_id),
            'locality_id': int(locality_id),
            'district_id': int(district_id),
            'block_id': int(block_id),
        })

        # Redirect to a thank-you page
        return request.render('address.thank_you_page', {})

        # except Exception as e:
            # _logger.error("Error processing form submission: %s", e)
            # return request.render('address.rasd_form_error', {'error': str(e)})