from odoo import models, fields

# Address Models
class AddressState(models.Model):
    _name = 'address.state'
    name = fields.Char(string='State Name', required=True)
    locality_ids = fields.One2many('address.locality', 'state_id', string='Localities')

class AddressLocality(models.Model):
    _name = 'address.locality'
    name = fields.Char(string='Locality Name', required=True)
    state_id = fields.Many2one('address.state', string='State', required=True)
    district_ids = fields.One2many('address.district', 'locality_id', string='Districts')

class AddressDistrict(models.Model):
    _name = 'address.district'
    name = fields.Char(string='District Name', required=True)
    locality_id = fields.Many2one('address.locality', string='Locality', required=True)
    block_ids = fields.One2many('address.block', 'district_id', string='Blocks')

class AddressBlock(models.Model):
    _name = 'address.block'
    name = fields.Char(string='Block Name', required=True)
    district_id = fields.Many2one('address.district', string='District', required=True)

class AddressStructure(models.Model):
    _name = 'address.structure'

    name = fields.Char(string='Name', required=True)
    state_id = fields.Many2one('address.state', string='State', required=True)
    locality_id = fields.Many2one('address.locality', string='Locality', domain="[('state_id', '=', state_id)]", required=True)
    district_id = fields.Many2one('address.district', string='District', domain="[('locality_id', '=', locality_id)]", required=True)
    block_id = fields.Many2one('address.block', string='Block', domain="[('district_id', '=', district_id)]", required=True)