$(document).ready(function() {
    // Initially disable the locality, district, and block dropdowns
    $('#locality, #district, #block').prop('disabled', true);

    // When state changes, fetch localities
    $('#state').change(function() {
        var stateId = $(this).val();
        if (stateId) {
            // Make the locality dropdown active and call AJAX to get localities
            $.ajax({
                url: '/address/localities',
                method: 'GET',
                data: { state_id: stateId },
                success: function(response) {
                    // Clear previous options
                    $('#locality').empty().append('<option value="">Select Locality</option>');
                    response.forEach(function(locality) {
                        $('#locality').append('<option value="' + locality.id + '">' + locality.name + '</option>');
                    });

                    // Enable the locality dropdown
                    $('#locality').prop('disabled', false);
                }
            });
        } else {
            // Disable locality if no state is selected
            $('#locality').prop('disabled', true).empty().append('<option value="">Select Locality</option>');
        }
    });

    // When locality changes, fetch districts
    $('#locality').change(function() {
        var localityId = $(this).val();
        if (localityId) {
            // Make the district dropdown active and call AJAX to get districts
            $.ajax({
                url: '/address/districts',
                method: 'GET',
                data: { locality_id: localityId },
                success: function(response) {
                    // Clear previous options
                    $('#district').empty().append('<option value="">Select District</option>');
                    response.forEach(function(district) {
                        $('#district').append('<option value="' + district.id + '">' + district.name + '</option>');
                    });

                    // Enable the district dropdown
                    $('#district').prop('disabled', false);
                }
            });
        } else {
            // Disable district if no locality is selected
            $('#district').prop('disabled', true).empty().append('<option value="">Select District</option>');
        }
    });

    // When district changes, fetch blocks
    $('#district').change(function() {
        var districtId = $(this).val();
        if (districtId) {
            // Make the block dropdown active and call AJAX to get blocks
            $.ajax({
                url: '/address/blocks',
                method: 'GET',
                data: { district_id: districtId },
                success: function(response) {
                    // Clear previous options
                    $('#block').empty().append('<option value="">Select Block</option>');
                    response.forEach(function(block) {
                        $('#block').append('<option value="' + block.id + '">' + block.name + '</option>');
                    });

                    // Enable the block dropdown
                    $('#block').prop('disabled', false);
                }
            });
        } else {
            // Disable block if no district is selected
            $('#block').prop('disabled', true).empty().append('<option value="">Select Block</option>');
        }
    });
});
